---

# Not used here, but nice to have ready
- name: add backports repo
  apt_repository:
    repo: "deb http://http.debian.net/debian {{ansible_distribution_release}}-backports main"
  tags: repos

- name: add pgdg repo
  apt_repository:
    repo: "deb http://apt.postgresql.org/pub/repos/apt/ {{ansible_distribution_release}}-pgdg main"
  tags: repos

- name: apt upgrade
  apt: upgrade=yes update_cache=yes cache_valid_time=3600 
  tags: packages, upgrade

- name: Install base packages
  apt: name={{item}} state=installed
  with_items:
    - sudo
    - build-essential
    - git
    - mercurial
    - vim
    - exuberant-ctags
    - silversearcher-ag
    - zsh
    - tmux
  tags: packages, install

- name: Install GUI packages
  when: gui.enabled
  apt: name={{item}} state=installed
  with_items:
    - i3
    - vim-gtk
    - iceweasel
    - fonts-dejavu-extra
    - fonts-opensymbol
  tags: packages, install

- name: Install Extra packages
  apt: name={{item}} state=installed
  with_items: extra_packages
  tags: packages, install


- name: Set default X session in lightdm
  when: gui.session
  ini_file:
    dest: /etc/lightdm/lightdm.conf
    section: SeatDefaults
    option: user-session
    value: "{{gui.session}}"
    backup: true
  notify:
  - restart lightdm

